Bug 257703 - JJ: Please allow running executescript scripts from context menu in Projects
Summary: JJ: Please allow running executescript scripts from context menu in Projects
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: git master
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-11-23 15:16 UTC by Alexander
Modified: 2012-04-07 14:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander 2010-11-23 15:16:45 UTC
Version:           SVN (using KDE 4.5.3) 
OS:                Linux

I'm running KDevelop from git master 2010-11-23 and I really miss a KDevelop3 "Tools" feature. Executescript plugin seems to be able to replace it partially, but not to full extent.

For example, I used to be able to run cppcheck from context menu when right-clicking on files or directories in Projects tree (kdev3 used to show that menu on tab headers as well, but it's not crucial). Now I've got hardcoded paths or active files only, I can't simply point to a directory (or file, without opening it) in my project and check it.

It would be nice to have this functionality in KDevelop4. Maybe add some checkboxes to script configuration like "Show in file context menu" and "Show in directory context menu"...

Thanks

Reproducible: Always
Comment 1 Milian Wolff 2010-11-23 15:30:50 UTC
right, shouldn't be hard to implement.
Comment 2 Ghislain MARY 2012-03-01 16:35:55 UTC
I just submitted a patch on reviewboard that adds the external scripts to the context menu in the files and projects views: https://git.reviewboard.kde.org/r/104133/
Comment 3 Ghislain MARY 2012-04-05 09:27:02 UTC
The review had been updated to make the requested changes one month ago. Is the patch applicable?
Comment 4 Milian Wolff 2012-04-07 14:30:25 UTC
Git commit 1b54009e3aa6288bf2ae3ef65302e900b865d9fa by Milian Wolff.
Committed on 07/04/2012 at 16:04.
Pushed by mwolff into branch 'master'.

make extern scripts available through context menu

Now, the context menu in the project manager view, tab and editor
show a submenu "external scripts" which holds the available scripts
which can then be executed for the selected file(s).

scripts that depend on a user selection are only shown in
the editor context menu.

thanks to Ghislain Mary for the patch

REVIEW: 104133

M  +1    -1    plugins/externalscript/CMakeLists.txt
M  +78   -3    plugins/externalscript/externalscriptplugin.cpp
M  +3    -0    plugins/externalscript/externalscriptplugin.h

http://commits.kde.org/kdevplatform/1b54009e3aa6288bf2ae3ef65302e900b865d9fa